GNU bug report logs - #32764
Some flymake tests seem unstable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Glenn Morris <rgm@HIDDEN>; dated Tue, 18 Sep 2018 18:19:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 6 Jan 2019 22:42:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 17:42:14 2019
Received: from localhost ([127.0.0.1]:47413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggH7W-00020I-Bx
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 17:42:14 -0500
Received: from mail-qk1-f175.google.com ([209.85.222.175]:39240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1ggH7U-000206-RQ
 for 32764 <at> debbugs.gnu.org; Sun, 06 Jan 2019 17:42:13 -0500
Received: by mail-qk1-f175.google.com with SMTP id c21so8491880qkl.6
 for <32764 <at> debbugs.gnu.org>; Sun, 06 Jan 2019 14:42:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=QRNWrCGN6pq1QeoM4Nz50Z8IzbaQW7PMQ4yDyqPMYBI=;
 b=ZZbiUZ4D4z9y1ce4fUgRcKGBCuLa6zxCEg4uzb997EUopc4A6o2IExH0mg+clct+AH
 5YmEk/CjHU+1eFFkHeEEh250+cS2g7BCAtTcRawkgszwRTQcFXIKI9sO8eXJD/8nJufM
 senwQ/Dul/v4CM1rYltKFKOStv38oKmVmhaNls4iv8KIoCxe10+wpW3Q9LpVFVSjsZip
 mXJtlCjcQovziyINdfG5C4Mvu6bqD3pWDp8IIn0vJ00KKu5AgEK+FI/9NK+TCtRJcjr1
 mfmlzBfpKM/ZdPQ2lsEXIjgUTI02TmKgIUlTHI73GKDtRqA8Hpo381Wk2sfWApZZkQ9j
 v7hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=QRNWrCGN6pq1QeoM4Nz50Z8IzbaQW7PMQ4yDyqPMYBI=;
 b=ETIBVgsAbdCR+XyxPrkshZotumtH2LoqsHBvobzkRC0snGIXUn0ntiiRI2y4rd8Qy9
 m6lyPhrTb94pwKDPIBNfmW1JyTc74c/K/J4lDlmBg0EMSYI7jj3u9iy5X8tGw3cmadVF
 0y3kHg+PsPofmHZtnwhHFsLu7Cvltce/YD9/Cd7PjRsIiss3r910sxqL/SCOYAcBFMuI
 XwpPnCwXx+f83XNhxbdkgDOVt60G95jWh/Bj7rSpEflCIbS/ZBtVbdnC3bPBasMQjU9Y
 jHSjPfF/rBVMRSTgVlJHJwcPyg2MRkGwpBjulzQuzT9kf4tCrErEtdryBdxf9/1gjaF2
 jDJw==
X-Gm-Message-State: AJcUukcbWs4syCZS5ogvHA+KNdPZAOlQ64nrhtmL84zvTQeR4Kv55uEE
 mQMZhriJsTPKrUhyjz0+uJVMRPY8meF++hPE4aI=
X-Google-Smtp-Source: ALg8bN7NZWLkLnUy46dyZwSc42EjEwfu51hcHtLnMqjMm+djfbAwSROkwU5qIG6B71d1S1qr0vIQrZB1V//1M6JZDi8=
X-Received: by 2002:a37:553:: with SMTP id 80mr56760020qkf.200.1546814527345; 
 Sun, 06 Jan 2019 14:42:07 -0800 (PST)
MIME-Version: 1.0
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
 <87o98viahh.fsf@HIDDEN> <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
 <CALDnm529L7fu79nyWjv+_ZGZ5uHMjAknPYGbi6jh2buCuT+FzQ@HIDDEN>
 <gn8szxegor.fsf@HIDDEN>
In-Reply-To: <gn8szxegor.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 6 Jan 2019 22:41:55 +0000
Message-ID: <CALDnm518C5oakXikPVEULCLitT6ju899Zne5WOsDapXfLUJktg@HIDDEN>
Subject: Re: bug#32764: Some flymake tests seem unstable
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32764
Cc: Paul Eggert <eggert@HIDDEN>, 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

You're right. I read the Paul's "typically" as the "unstable" bit.

You can reopen the bug.

How often would you say this happens on hydra, Glenn?

Jo=C3=A3o


On Sun, Jan 6, 2019 at 7:20 PM Glenn Morris <rgm@HIDDEN> wrote:
>
> Jo=C3=A3o T=C3=A1vora wrote:
>
> > I guess we can close this bug, then.
>
> I don't object, but for the record Paul's issue has nothing to do with
> the original report.



--=20
Jo=C3=A3o T=C3=A1vora




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 6 Jan 2019 19:21:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 14:21:02 2019
Received: from localhost ([127.0.0.1]:49013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggDyn-0004kP-Rt
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:21:02 -0500
Received: from eggsout.gnu.org ([209.51.188.92]:47581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1ggDym-0004k5-0u
 for 32764 <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:21:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ggDyf-0004v3-Gi
 for 32764 <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:20:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43431)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ggDyR-0004rK-3W; Sun, 06 Jan 2019 14:20:39 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ggDyO-00047r-Ne; Sun, 06 Jan 2019 14:20:36 -0500
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#32764: Some flymake tests seem unstable
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
 <87o98viahh.fsf@HIDDEN>
 <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
 <CALDnm529L7fu79nyWjv+_ZGZ5uHMjAknPYGbi6jh2buCuT+FzQ@HIDDEN>
X-Spook: Exercise Gulf Cartel Emergency Broadcast System Yukon
X-Ran: U3n&]*ARx!vHP]N%7{R48&s/S-'[?K{4?sr%N9b^/AZ|P&(_Y]vo1P5C<Tf$5)9^]T*Nb~
X-Hue: brightwhite
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 06 Jan 2019 14:20:36 -0500
In-Reply-To: <CALDnm529L7fu79nyWjv+_ZGZ5uHMjAknPYGbi6jh2buCuT+FzQ@HIDDEN>
 (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vora=22's?= message of "Sun, 6 Jan 2019
 19:01:47 +0000")
Message-ID: <gn8szxegor.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32764
Cc: Paul Eggert <eggert@HIDDEN>, 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora wrote:

> I guess we can close this bug, then.

I don't object, but for the record Paul's issue has nothing to do with
the original report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764-done <at> debbugs.gnu.org:


Received: (at 32764-done) by debbugs.gnu.org; 6 Jan 2019 19:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 14:02:09 2019
Received: from localhost ([127.0.0.1]:49009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggDgX-0004HE-5I
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:02:09 -0500
Received: from mail-qk1-f173.google.com ([209.85.222.173]:38409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>)
 id 1ggDgT-0004GX-LA; Sun, 06 Jan 2019 14:02:06 -0500
Received: by mail-qk1-f173.google.com with SMTP id a1so24270168qkc.5;
 Sun, 06 Jan 2019 11:02:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=c+YPlspj/215LoXzuvL7yXXrEzq5wByOS5yxE2Q1Yg0=;
 b=QUwEvfud5fysrmfIvbuUJv7588l04tsupDOCmonlzb9jVcGoN5/sThB4ExnhWvdKl2
 Uaia9qQHW/A0533KzSZCdgXOhuM0msjPJqJKocJMiX09C7mZTChRS2EOwxV1AlDGm9Zj
 UrmlNHZ6vVQKpXv9lZE+R0jgZlXsYWhamsqT5B0H7JkyCvez/B8yz65+OG8km7lOJ7yN
 SZBRgiqXPH9Q/DtPEwxK2lgc7J1De6SOZSc+eco3V53MotdvYmm7f37hr+DD7t9ydGah
 BHi+dHQPwooWsPe2TR146x8t2zFFFkz5WYAqc65WBt53/MFeZafNjZFwUSYXTT6C2oh+
 v2Yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=c+YPlspj/215LoXzuvL7yXXrEzq5wByOS5yxE2Q1Yg0=;
 b=TbzLhlnYtj1rvgUaXbtkrvii20gp39ygaBSlEptZx+NqXIwfDCbNtL0ywIygXO5ERI
 4MuPG9Y522tcwBEFqgBuglWLUv+MLTETTJLT5BIOcW1lwMY3aH/0IEmsBiD32bBwdRIW
 BDbFrFOwP8YEoEWwW18cKmbe0HQhsOERZ3WDcT/LFXuXbxYWihgwKyYikr+77EWLbLe/
 8ysTBgy168spnwArKrwUFZNsUmv6IbynQrBarQ7CZV2IpIDvdqhNEb9lUNpA4yoCKSsL
 kvyJrxnw1b1kbkC2GCqeTw1QpJA8VxUtCo3bdSKGpxln4yO6Wa2BewMQgTV9hmUDuUFU
 9z1Q==
X-Gm-Message-State: AJcUukcdp42SXC1xdnkX7F/95BUkoi+X0soPkg3MdZ72NtEbRK9cuUsJ
 o18+Olh4L3pFchiV1C1CztufLDHRXw8wB5JL1pY=
X-Google-Smtp-Source: ALg8bN4CcBlHLFb4gNzRUSFqRIOeIiH/p0o1+TSOHE+Ml1M0lsIIuUIIriHkGagOrKBpGHMVi97HqxChy7U8P6CTM1A=
X-Received: by 2002:a37:553:: with SMTP id 80mr56347720qkf.200.1546801320197; 
 Sun, 06 Jan 2019 11:02:00 -0800 (PST)
MIME-Version: 1.0
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
 <87o98viahh.fsf@HIDDEN> <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
In-Reply-To: <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 6 Jan 2019 19:01:47 +0000
Message-ID: <CALDnm529L7fu79nyWjv+_ZGZ5uHMjAknPYGbi6jh2buCuT+FzQ@HIDDEN>
Subject: Re: bug#32764: Some flymake tests seem unstable
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003a81e1057ecebff3"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32764-done
Cc: Glenn Morris <rgm@HIDDEN>, 32764-done <at> debbugs.gnu.org,
 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--0000000000003a81e1057ecebff3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I guess we can close this bug, then.

Jo=C3=A3o


On Sun, Jan 6, 2019, 01:20 Paul Eggert <eggert@HIDDEN wrote:

> Jo=C3=A3o T=C3=A1vora wrote:
>
> > Hi Paul, this test failure is compatible with a problem with GCC 8.2
> > that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.  Can
> > you check if your compiler's version?  If it doesn't report the column
> > for "In file included from" errors, it would have triggered the failure
> > before my fix.
>
> It's gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).
>
> I'm not observing the error now; thanks.
>

--0000000000003a81e1057ecebff3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div>I guess we can close this bug, then.<div dir=3D"auto=
"><br></div><div dir=3D"auto">Jo=C3=A3o</div><br><br><div class=3D"gmail_qu=
ote"><div dir=3D"ltr">On Sun, Jan 6, 2019, 01:20 Paul Eggert &lt;<a href=3D=
"mailto:eggert@HIDDEN">eggert@HIDDEN</a> wrote:<br></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc s=
olid;padding-left:1ex">Jo=C3=A3o T=C3=A1vora wrote:<br>
<br>
&gt; Hi Paul, this test failure is compatible with a problem with GCC 8.2<b=
r>
&gt; that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.=C2=
=A0 Can<br>
&gt; you check if your compiler&#39;s version?=C2=A0 If it doesn&#39;t repo=
rt the column<br>
&gt; for &quot;In file included from&quot; errors, it would have triggered =
the failure<br>
&gt; before my fix.<br>
<br>
It&#39;s gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).<br>
<br>
I&#39;m not observing the error now; thanks.<br>
</blockquote></div></div></div>

--0000000000003a81e1057ecebff3--




Notification sent to Glenn Morris <rgm@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to João Távora <joaotavora@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 6 Jan 2019 19:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 14:02:09 2019
Received: from localhost ([127.0.0.1]:49007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggDgW-0004HB-Rz
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:02:09 -0500
Received: from mail-qk1-f173.google.com ([209.85.222.173]:38409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>)
 id 1ggDgT-0004GX-LA; Sun, 06 Jan 2019 14:02:06 -0500
Received: by mail-qk1-f173.google.com with SMTP id a1so24270168qkc.5;
 Sun, 06 Jan 2019 11:02:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=c+YPlspj/215LoXzuvL7yXXrEzq5wByOS5yxE2Q1Yg0=;
 b=QUwEvfud5fysrmfIvbuUJv7588l04tsupDOCmonlzb9jVcGoN5/sThB4ExnhWvdKl2
 Uaia9qQHW/A0533KzSZCdgXOhuM0msjPJqJKocJMiX09C7mZTChRS2EOwxV1AlDGm9Zj
 UrmlNHZ6vVQKpXv9lZE+R0jgZlXsYWhamsqT5B0H7JkyCvez/B8yz65+OG8km7lOJ7yN
 SZBRgiqXPH9Q/DtPEwxK2lgc7J1De6SOZSc+eco3V53MotdvYmm7f37hr+DD7t9ydGah
 BHi+dHQPwooWsPe2TR146x8t2zFFFkz5WYAqc65WBt53/MFeZafNjZFwUSYXTT6C2oh+
 v2Yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=c+YPlspj/215LoXzuvL7yXXrEzq5wByOS5yxE2Q1Yg0=;
 b=TbzLhlnYtj1rvgUaXbtkrvii20gp39ygaBSlEptZx+NqXIwfDCbNtL0ywIygXO5ERI
 4MuPG9Y522tcwBEFqgBuglWLUv+MLTETTJLT5BIOcW1lwMY3aH/0IEmsBiD32bBwdRIW
 BDbFrFOwP8YEoEWwW18cKmbe0HQhsOERZ3WDcT/LFXuXbxYWihgwKyYikr+77EWLbLe/
 8ysTBgy168spnwArKrwUFZNsUmv6IbynQrBarQ7CZV2IpIDvdqhNEb9lUNpA4yoCKSsL
 kvyJrxnw1b1kbkC2GCqeTw1QpJA8VxUtCo3bdSKGpxln4yO6Wa2BewMQgTV9hmUDuUFU
 9z1Q==
X-Gm-Message-State: AJcUukcdp42SXC1xdnkX7F/95BUkoi+X0soPkg3MdZ72NtEbRK9cuUsJ
 o18+Olh4L3pFchiV1C1CztufLDHRXw8wB5JL1pY=
X-Google-Smtp-Source: ALg8bN4CcBlHLFb4gNzRUSFqRIOeIiH/p0o1+TSOHE+Ml1M0lsIIuUIIriHkGagOrKBpGHMVi97HqxChy7U8P6CTM1A=
X-Received: by 2002:a37:553:: with SMTP id 80mr56347720qkf.200.1546801320197; 
 Sun, 06 Jan 2019 11:02:00 -0800 (PST)
MIME-Version: 1.0
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
 <87o98viahh.fsf@HIDDEN> <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
In-Reply-To: <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 6 Jan 2019 19:01:47 +0000
Message-ID: <CALDnm529L7fu79nyWjv+_ZGZ5uHMjAknPYGbi6jh2buCuT+FzQ@HIDDEN>
Subject: Re: bug#32764: Some flymake tests seem unstable
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003a81e1057ecebff3"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32764
Cc: Glenn Morris <rgm@HIDDEN>, 32764-done <at> debbugs.gnu.org,
 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--0000000000003a81e1057ecebff3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I guess we can close this bug, then.

Jo=C3=A3o


On Sun, Jan 6, 2019, 01:20 Paul Eggert <eggert@HIDDEN wrote:

> Jo=C3=A3o T=C3=A1vora wrote:
>
> > Hi Paul, this test failure is compatible with a problem with GCC 8.2
> > that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.  Can
> > you check if your compiler's version?  If it doesn't report the column
> > for "In file included from" errors, it would have triggered the failure
> > before my fix.
>
> It's gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).
>
> I'm not observing the error now; thanks.
>

--0000000000003a81e1057ecebff3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div>I guess we can close this bug, then.<div dir=3D"auto=
"><br></div><div dir=3D"auto">Jo=C3=A3o</div><br><br><div class=3D"gmail_qu=
ote"><div dir=3D"ltr">On Sun, Jan 6, 2019, 01:20 Paul Eggert &lt;<a href=3D=
"mailto:eggert@HIDDEN">eggert@HIDDEN</a> wrote:<br></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc s=
olid;padding-left:1ex">Jo=C3=A3o T=C3=A1vora wrote:<br>
<br>
&gt; Hi Paul, this test failure is compatible with a problem with GCC 8.2<b=
r>
&gt; that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.=C2=
=A0 Can<br>
&gt; you check if your compiler&#39;s version?=C2=A0 If it doesn&#39;t repo=
rt the column<br>
&gt; for &quot;In file included from&quot; errors, it would have triggered =
the failure<br>
&gt; before my fix.<br>
<br>
It&#39;s gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).<br>
<br>
I&#39;m not observing the error now; thanks.<br>
</blockquote></div></div></div>

--0000000000003a81e1057ecebff3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 6 Jan 2019 01:20:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 05 20:20:39 2019
Received: from localhost ([127.0.0.1]:48168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfx7H-000087-NQ
	for submit <at> debbugs.gnu.org; Sat, 05 Jan 2019 20:20:39 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:48604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gfx7G-00007t-Dn
 for 32764 <at> debbugs.gnu.org; Sat, 05 Jan 2019 20:20:38 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0D824160F62;
 Sat,  5 Jan 2019 17:20:32 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id gtSE6TDW1hDo; Sat,  5 Jan 2019 17:20:31 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 53388160F66;
 Sat,  5 Jan 2019 17:20:31 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id cFzD8GLUCvCr; Sat,  5 Jan 2019 17:20:31 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 2CD0D160F27;
 Sat,  5 Jan 2019 17:20:31 -0800 (PST)
Subject: Re: bug#32764: Some flymake tests seem unstable
To: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN> <87o98viahh.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <b9f760e1-855a-c1e9-e372-ff8e57a96282@HIDDEN>
Date: Sat, 5 Jan 2019 17:20:25 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <87o98viahh.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32764
Cc: Glenn Morris <rgm@HIDDEN>, 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jo=C3=A3o T=C3=A1vora wrote:

> Hi Paul, this test failure is compatible with a problem with GCC 8.2
> that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.  Can
> you check if your compiler's version?  If it doesn't report the column
> for "In file included from" errors, it would have triggered the failure
> before my fix.

It's gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).

I'm not observing the error now; thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 5 Jan 2019 11:56:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 05 06:56:38 2019
Received: from localhost ([127.0.0.1]:47322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfkZC-0007yn-Fi
	for submit <at> debbugs.gnu.org; Sat, 05 Jan 2019 06:56:38 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:38624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1gfkZA-0007yT-KV
 for 32764 <at> debbugs.gnu.org; Sat, 05 Jan 2019 06:56:37 -0500
Received: by mail-wm1-f44.google.com with SMTP id m22so3437353wml.3
 for <32764 <at> debbugs.gnu.org>; Sat, 05 Jan 2019 03:56:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=LnfNAd5KcOx/dO47POLX7DEBvw78+pquA8399QKbUR8=;
 b=f/ICWZyttwUTR8zDUEWIv547RKDrPnxLCbwRpacGMBuA/ZITpgv+ysYz2BKlWPSSAN
 /6dvLhAIWc6GsjVtaqJLvJ+TX30KHF5WPIx8fqjmt6M/B5UxbIm3DfNIE4AnfDDeWawO
 OTJERY7eGQsBfGP5rAgmz9XSLvB5vipf5vWqBGF10gqmH1E6fELtyCvcjUAwz/tgqWst
 cNN7HVH4prjd8+S0RefjDMa414fuyE/IlXLUmfTbsO0SrQm6dQuptXDsD19zB4IM4Ou8
 5MjlEuGTRiBefjUMGirN8hhJaH2pMwvGr2dMlkagHFBPcIFmR6difkIStOQ+eGV+Tfad
 aVTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=LnfNAd5KcOx/dO47POLX7DEBvw78+pquA8399QKbUR8=;
 b=mUsNEc83QHfdKtDBGE60SUYZGs/kvG1xJVGG2KsubZ8iQW7p87KCgEYnZ385VkNBkD
 HGvQ7aX1zeEMhhSH02UIm+NpYyrDYJiLPlrfkWbMU+YSJU2eRN9LucDU7v7h4qvpXUhp
 DLNfxzXBCDOff78pTjpEHnalQPyCsOGGGSIZeEGK4VrZKRdVSrTaD2PI1JCL5jP+pmNz
 fI2aB0DwYf5GikUjooe8Zm/vNAwX1uAFU2hAKg67xW1Ju+iP8BKD8e3QZSu8O290DUng
 GCqdXC55jG5YQdmZ9rk9KXpmg8cWV6Fr7iDLnK4cH3oFtO2vr0Zc6lVp3g7UGTU1YsLj
 k/tg==
X-Gm-Message-State: AJcUukdknOKA/c0k65NAHttNu9vw4MNw6hSmzNykRlDGEBQustkBmsFZ
 UrhdWgFvnxoG2UR//Q59sFPZ6FooPBA=
X-Google-Smtp-Source: ALg8bN7OKuOdecCPnTWXgLyzxAN2QPXS7mDvSTbgH92jM+M9ViomOj/F9ArPcND3kCl25kDVd1LiGw==
X-Received: by 2002:a1c:2944:: with SMTP id p65mr3850306wmp.20.1546689390554; 
 Sat, 05 Jan 2019 03:56:30 -0800 (PST)
Received: from lolita.yourcompany.com (188.139.62.94.rev.vodafone.pt.
 [94.62.139.188])
 by smtp.gmail.com with ESMTPSA id n11sm3387361wrw.60.2019.01.05.03.56.29
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 05 Jan 2019 03:56:29 -0800 (PST)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#32764: Some flymake tests seem unstable
References: <yqo9cuy8j2.fsf@HIDDEN>
 <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
Date: Sat, 05 Jan 2019 11:56:26 +0000
In-Reply-To: <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN> (Paul Eggert's
 message of "Wed, 19 Sep 2018 21:09:08 -0700")
Message-ID: <87o98viahh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32764
Cc: Glenn Morris <rgm@HIDDEN>, 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Paul Eggert <eggert@HIDDEN> writes:

> For what it's worth, the flymake tests typically fail for me on master. I=
=20
> normally test on Fedora 28 x86-64 on a circa-2010 AMD Phenom II X4 910e. =
Log=20
> file attached.
>
>       :form
>       (eq flymake-error flymake-note)
>       :value nil))


Hi Paul, this test failure is compatible with a problem with GCC 8.2
that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.  Can
you check if your compiler's version?  If it doesn't report the column
for "In file included from" errors, it would have triggered the failure
before my fix.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 20 Sep 2018 04:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 00:09:17 2018
Received: from localhost ([127.0.0.1]:46225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2qHF-0004IF-Fd
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:09:17 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:46192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1g2qHD-0004I0-Be
 for 32764 <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:09:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9E31016169D;
 Wed, 19 Sep 2018 21:09:09 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id xYsrrV-DjdkE; Wed, 19 Sep 2018 21:09:08 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B85F31616A5;
 Wed, 19 Sep 2018 21:09:08 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id xuautL3vEJJT; Wed, 19 Sep 2018 21:09:08 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 7FCC916169D;
 Wed, 19 Sep 2018 21:09:08 -0700 (PDT)
To: Glenn Morris <rgm@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: Some flymake tests seem unstable
Organization: UCLA Computer Science Department
Message-ID: <a52f1aa7-86cf-cf12-d112-631850128f31@HIDDEN>
Date: Wed, 19 Sep 2018 21:09:08 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------C446C2A65AB4224BEDA79095"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32764
Cc: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>,
 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------C446C2A65AB4224BEDA79095
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

For what it's worth, the flymake tests typically fail for me on master. I 
normally test on Fedora 28 x86-64 on a circa-2010 AMD Phenom II X4 910e. Log 
file attached.

--------------C446C2A65AB4224BEDA79095
Content-Type: text/x-log;
 name="flymake-tests.log"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="flymake-tests.log"

Running 9 tests (2018-09-19 21:06:16-0700, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Test different-diagnostic-types backtrace:
  signal(ert-test-failed (((should (eq 'flymake-error (face-at-point))
  ert-fail(((should (eq 'flymake-error (face-at-point))) :form (eq fly
  #f(compiled-function () #<bytecode 0x513fe9>)()
  flymake-tests--call-with-fixture(#f(compiled-function () #<bytecode 
  #f(compiled-function () #<bytecode 0x5143d1>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name different-diagnostic-types :documenta
  ert-run-or-rerun-test(#s(ert--stats :selector (not (or ... ...)) :te
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/progmodes/flymake-te
  command-line()
  normal-top-level()
Test different-diagnostic-types condition:
    (ert-test-failed
     ((should
       (eq 'flymake-error
	    (face-at-point)))
      :form
      (eq flymake-error flymake-note)
      :value nil))
   FAILED  1/9  different-diagnostic-types (1.170822 sec)
   passed  2/9  dummy-backends (1.003490 sec)
   passed  3/9  eob-region-and-trailing-newline (0.000554 sec)
   passed  4/9  included-c-header-files (2.058290 sec)
   passed  5/9  perl-backend (1.037708 sec)
   passed  6/9  recurrent-backend (1.002835 sec)
  skipped  7/9  ruby-backend (0.000520 sec)
   passed  8/9  warning-predicate-function-gcc (1.027205 sec)
   passed  9/9  warning-predicate-rx-gcc (1.044844 sec)

Ran 9 tests, 7 results as expected, 1 unexpected, 1 skipped (2018-09-19 21:06:25-0700, 8.515835 sec)

1 unexpected results:
   FAILED  different-diagnostic-types

1 skipped results:
  SKIPPED  ruby-backend


--------------C446C2A65AB4224BEDA79095--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at 32764 <at> debbugs.gnu.org:


Received: (at 32764) by debbugs.gnu.org; 19 Sep 2018 17:56:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 13:56:01 2018
Received: from localhost ([127.0.0.1]:45942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2ghl-0000Z1-5y
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 13:56:01 -0400
Received: from mail-qt0-f171.google.com ([209.85.216.171]:36385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1g2ghj-0000Ym-Ed
 for 32764 <at> debbugs.gnu.org; Wed, 19 Sep 2018 13:55:59 -0400
Received: by mail-qt0-f171.google.com with SMTP id t5-v6so5949873qtn.3
 for <32764 <at> debbugs.gnu.org>; Wed, 19 Sep 2018 10:55:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=4GlOiP2xzE6M8duMTZCHKV+N1fNDJ8+J7hD1nkagRFs=;
 b=g8Y4Wpo04HPJnUpuXXnYz7MVfJS0p83ka+16x2jWXvDgavIpY87Uefn3bEuyW0SpeK
 h2szZv1w8sQdEoE4r2VFMs0plE6nQldNdph7vusgLd7X6bCwC9nUhOqr4hPA7LPG/Sbu
 EJ2VZL59DczU5x3dGOnVmQlI1/xUdILx+3rBgzw2RPZ2ZIOc4u3o3YLjwa2J5f4HV+2t
 InFq6rumwckdoyDAPbGVqqP1+ShepM43bXlknR6Khh/FovR3FT6WKtIgcYSVm2+HjksE
 mcTXTPosuj7yKh38QJzhYXMoSCR1MJFLGJyS49nJ8XrUcbC5riSIFUuTibKqEszKsuL/
 zaAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=4GlOiP2xzE6M8duMTZCHKV+N1fNDJ8+J7hD1nkagRFs=;
 b=lt7cFUrlJfB76SM6DnqYxajGfQuf9QZscJ2MsimHuirl9xxgy+hpZoj4i3osc6oXSo
 XaZ81t7CEi32zo5oKEfZX3yYgobBhUsmRsLcimumzvCX84aMQo9MIdTneH5bcCbUHduy
 AgU2nG0kmhVc9yaGKTWcVadLWdwQgsUFRxTvDuCZDNIYBTl/JTVJoGn075LibWRSGKC4
 90CqU314gz/WnmlvLeaSy2n5nkola4W605JxRNKVBnR4cBFHPJ7wQsKVZz0i0UnoTOob
 DMP9j6vKk9UPRCN+xn6pwIlDszh2T6mA5KlTPo5QXS15xwvF5KKaEkbvx2TYUKdS5Pe/
 XuHA==
X-Gm-Message-State: APzg51Aoh1mScNRmnavua3YHdsiUwV0qoRx3saeqHKtHisuylx8wlBpT
 mfwdHZKSBIz1UQtX4O+a3KZqR2KRirW7PXZBPYU=
X-Google-Smtp-Source: ANB0VdbJcFsbiEu6XhdKD7NeBZRMG8xVHR7WBSofpHTB+anJz5P+UQJeZWf2nEU121aAbbVKCukPTZ8yfbKDosK4WLE=
X-Received: by 2002:ac8:4504:: with SMTP id q4-v6mr24418850qtn.1.1537379753774; 
 Wed, 19 Sep 2018 10:55:53 -0700 (PDT)
MIME-Version: 1.0
References: <yqo9cuy8j2.fsf@HIDDEN>
In-Reply-To: <yqo9cuy8j2.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Wed, 19 Sep 2018 18:55:41 +0100
Message-ID: <CALDnm50kxOxU5Cm03_sWpqsh-GmKze_iXynRBe2QYayK-uR_OQ@HIDDEN>
Subject: Re: bug#32764: Somne flymake tests seem unstable
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001bd53d05763d1ece"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32764
Cc: 32764 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--0000000000001bd53d05763d1ece
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Glenn,

Thanks.

Increasing timeouts, in my experience, rarely solves these problems (still,
if you suspect one in particular, feel free to adjust it).  It's usually a
case of unusual process scheduling in the ci machine that my code isn't
accounting for.  It'd be better to analyze the code to figure out what
might be happening (Something that I haven't done yet...) Also IIRC there's
a reference  in the test code to a mysterious existing bug somewhere...

Maybe someone with deeper knowledge of Emacs's processes can take a look
too.

Thanks again,
Jo=C3=A3o

On Tue, Sep 18, 2018, 19:19 Glenn Morris <rgm@HIDDEN> wrote:

> Package: emacs
> Version: 27.0.50
> Severity: minor
>
> Ref: https://hydra.nixos.org/build/81615914
>
> I've seen some flymake test failures like the following a few times.
> Perhaps some timeout needs to be increased.
>
>     Test included-c-header-files condition:
>         (ert-test-failed "Some backends not reporting yet (flymake-cc)")
>        FAILED  4/9  included-c-header-files (10.545006 sec)
>
>     Test perl-backend condition:
>         (error "Selecting deleted buffer")
>        FAILED  5/9  perl-backend (0.289559 sec)
>
>     Test recurrent-backend condition:
>         (error "Selecting deleted buffer")
>        FAILED  6/9  recurrent-backend (0.005780 sec)
>
>     Test warning-predicate-function-gcc condition:
>         (ert-test-failed "Some backends not reporting yet (flymake-cc)")
>        FAILED  8/9  warning-predicate-function-gcc (5.444343 sec)
>
>
>

--0000000000001bd53d05763d1ece
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Hi Glenn,<div dir=3D"auto"><br></div><div dir=3D"auto">Th=
anks.=C2=A0</div><div dir=3D"auto"><br></div><div dir=3D"auto">Increasing t=
imeouts, in my experience, rarely solves these problems (still, if you susp=
ect one in particular, feel free to adjust it).=C2=A0 It&#39;s usually a ca=
se of unusual process scheduling in the ci machine that my code isn&#39;t a=
ccounting for.=C2=A0 It&#39;d be better to analyze the code to figure out w=
hat might be happening (<span style=3D"font-family:sans-serif">Something th=
at I haven&#39;t done yet...) Also IIRC</span>=C2=A0there&#39;s a reference=
=C2=A0 in the test code to a mysterious existing bug somewhere...=C2=A0</di=
v><div dir=3D"auto"><br></div><div dir=3D"auto">Maybe someone with deeper k=
nowledge of Emacs&#39;s processes can take a look too.</div><div dir=3D"aut=
o"><br></div><div dir=3D"auto">Thanks again,</div><div dir=3D"auto">Jo=C3=
=A3o</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Tue, Sep=
 18, 2018, 19:19 Glenn Morris &lt;<a href=3D"mailto:rgm@HIDDEN">rgm@HIDDEN=
g</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin=
:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Package: emacs<br>
Version: 27.0.50<br>
Severity: minor<br>
<br>
Ref: <a href=3D"https://hydra.nixos.org/build/81615914" rel=3D"noreferrer n=
oreferrer" target=3D"_blank">https://hydra.nixos.org/build/81615914</a><br>
<br>
I&#39;ve seen some flymake test failures like the following a few times.<br=
>
Perhaps some timeout needs to be increased.<br>
<br>
=C2=A0 =C2=A0 Test included-c-header-files condition:<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (ert-test-failed &quot;Some backends not report=
ing yet (flymake-cc)&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0FAILED=C2=A0 4/9=C2=A0 included-c-header-files (=
10.545006 sec)<br>
<br>
=C2=A0 =C2=A0 Test perl-backend condition:<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (error &quot;Selecting deleted buffer&quot;)<br=
>
=C2=A0 =C2=A0 =C2=A0 =C2=A0FAILED=C2=A0 5/9=C2=A0 perl-backend (0.289559 se=
c)<br>
<br>
=C2=A0 =C2=A0 Test recurrent-backend condition:<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (error &quot;Selecting deleted buffer&quot;)<br=
>
=C2=A0 =C2=A0 =C2=A0 =C2=A0FAILED=C2=A0 6/9=C2=A0 recurrent-backend (0.0057=
80 sec)<br>
<br>
=C2=A0 =C2=A0 Test warning-predicate-function-gcc condition:<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (ert-test-failed &quot;Some backends not report=
ing yet (flymake-cc)&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0FAILED=C2=A0 8/9=C2=A0 warning-predicate-functio=
n-gcc (5.444343 sec)<br>
<br>
<br>
</blockquote></div>

--0000000000001bd53d05763d1ece--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2018 18:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 14:18:02 2018
Received: from localhost ([127.0.0.1]:44741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2KZV-0002iD-Tg
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:18:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1g2KZU-0002hj-SS
 for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:18:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1g2KZO-0004y4-Tf
 for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:17:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50989)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1g2KZO-0004xy-PM
 for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:17:54 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1g2KZN-00045t-JO; Tue, 18 Sep 2018 14:17:53 -0400
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: Somne flymake tests seem unstable
X-Debbugs-CC: joaotavora@HIDDEN
X-Spook: InfoSec Crash Heroin Violence Brown out DHS Putin Recovery
X-Ran: ~K+>m<.t9s<wD0>_~9G6ivc-XyPf%\z'E@MdL<.lGP7|K6@-k%:|'^{ch4m=zU~a^amq:?
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 18 Sep 2018 14:17:53 -0400
Message-ID: <yqo9cuy8j2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Package: emacs
Version: 27.0.50
Severity: minor

Ref: https://hydra.nixos.org/build/81615914

I've seen some flymake test failures like the following a few times.
Perhaps some timeout needs to be increased.

    Test included-c-header-files condition:
        (ert-test-failed "Some backends not reporting yet (flymake-cc)")
       FAILED  4/9  included-c-header-files (10.545006 sec)

    Test perl-backend condition:
        (error "Selecting deleted buffer")
       FAILED  5/9  perl-backend (0.289559 sec)

    Test recurrent-backend condition:
        (error "Selecting deleted buffer")
       FAILED  6/9  recurrent-backend (0.005780 sec)

    Test warning-predicate-function-gcc condition:
        (ert-test-failed "Some backends not reporting yet (flymake-cc)")
       FAILED  8/9  warning-predicate-function-gcc (5.444343 sec)




Report forwarded to joaotavora@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#32764; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Jan 2019 01:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.